=== debian/changelog ===
yt6801-dkms (1.0.31-1) unstable; urgency=medium

   * Initial release. (Closes: #1124628)

 -- Miao Wang <shankerwangmiao@gmail.com>  Sun, 04 Jan 2026 16:40:06 +0800
