=== debian/control ===
Source: yt6801-dkms
Section: kernel
Maintainer: Miao Wang <shankerwangmiao@gmail.com>
Uploaders: Shengqi Chen <harry@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
Standards-Version: 4.7.3
Homepage: https://en.motor-comm.com/download?kw=&category=592&wd=1&tp=1
Vcs-Git: https://salsa.debian.org/shankerwangmiao/yt6801-dkms.git
Vcs-Browser: https://salsa.debian.org/shankerwangmiao/yt6801-dkms
Testsuite: autopkgtest-pkg-dkms

Package: yt6801-dkms
Architecture: all
Depends: ${misc:Depends}, dkms
Description: DKMS Driver for Motorcomm YT6801 ethernet controller
 This package provides the DKMS source for the YT6801 network driver.
 .
 The YT6801 is a high-performance Ethernet controller designed by
 Motor-comm Corporation, offering advanced networking features and
 reliable connectivity for various applications, which can be found
 in several Mini PCs and laptops, such as SOYO M2 Mini PC, MLLSE Mini
 PC series, and Tuxedo laptops.
 .
 This package automatically builds and installs the kernel module, if
 appropriate kernel headers are installed.
